/*	Sample program for Olimex AVR-MT-128 with ATMega128 processor
 *	Press Button1 to activate the Buzzer
 *	Compile with AVRStudio+WinAVR (gcc version 3.4.6)
 */

#include "avr/io.h"

#define	__AVR_ATMEGA128__	1
#define Frequency			500

void Initialize()
{
	PORTA = 0b00000000;		DDRA = 0b01000000;
	PORTB = 0b00000000;		DDRB = 0b00000000;
	PORTC = 0b00000000;		DDRC = 0b00000000;
	PORTD = 0b00000000;		DDRD = 0b00000000;
	PORTE = 0b00100000;		DDRE = 0b00110000;	//Buzzer's PORTS set as output
	PORTF = 0b00000000;		DDRF = 0b00000000;

	
}

int main()
{
	Initialize();
	unsigned int i;
	while(1)
	{
		if (!(PINA & 0b00000001)) //if button 1 is pressed
		{
			PORTE = (PORTE & 0b11011111) | 0b00010000;	//set bit4 = 1; set bit5 = 0
			for (i=Frequency; i; i--);
			PORTE = (PORTE | 0b00100000) & 0b11101111;	//set bit4 = 0; set bit5 = 1
			for (i=Frequency; i; i--);
		}
	}
	return 0;
}
